/*
 * This file is a component of thundr, a software library from 3wks.
 * Read more: http://www.3wks.com.au/thundr
 * Copyright (C) 2013 3wks, <thundr@3wks.com.au>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.threewks.thundr.http.service.test;

import java.io.InputStream;

import com.atomicleopard.expressive.ETransformer;
import com.threewks.thundr.http.service.HttpRequest;
import com.threewks.thundr.http.service.HttpService;
import com.threewks.thundr.http.service.ning.HttpServiceNing;

/**
 * A test implementation of {@link HttpService} for use in integration testing etc.
 * It uses the {@link HttpServiceNing} implementation.
 */
public class TestHttpService implements HttpService {
	private HttpService delegate = new HttpServiceNing();

	@Override
	public HttpRequest request(String url) {
		return delegate.request(url);
	}

	@Override
	public <T> InputStream convertOutgoing(T t) {
		return delegate.convertOutgoing(t);
	}

	@Override
	public <T> T convertIncoming(InputStream is, Class<T> type) {
		return delegate.convertIncoming(is, type);
	}

	@Override
	public <T> void addOutgoingTypeConvertor(Class<T> type, ETransformer<T, InputStream> transformer) {
		delegate.addOutgoingTypeConvertor(type, transformer);
	}

	@Override
	public <T> void addIncomingTypeConvertor(Class<T> type, ETransformer<InputStream, T> transformer) {
		delegate.addIncomingTypeConvertor(type, transformer);
	}
}
